Class Index | File Index

## Classes

- _global_
- Array
- fabric.Circle
- fabric.Color
- fabric.Element
- fabric.Element#cache
- fabric.Ellipse
- fabric.Group
- fabric.Image
- fabric.Intersection
- fabric.Line
- fabric.Object
- fabric.Path
- fabric.PathGroup
- fabric.Point
- fabric.Polygon
- fabric.Polyline
- fabric.Rect
- fabric.Text
- fabric.Triangle
- fabric.util
- fabric.util.array
- fabric.util.object
- fabric.util.string
- Function
- String

# Class fabric.Line

Extends fabric.Object.
Line
Defined in: line.class.js.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| fabric.Line()

Field Summary
Field Attributes | Field Name and Description
--- | ---
| type

Fields borrowed from class fabric.Object:
  FX_DURATION, FX_TRANSITION, includeDefaultValues, MIN_SCALE_LIMIT, NUM_FRACTION_DIGITS, options, rotate, stateProperties

Method Summary
Method Attributes | Method Name and Description
--- | ---
| complexity()
<static> | fabric.Line.fromElement(element, options)
<static> | fabric.Line.fromObject(object)
| initialize(points, options) Constructor
| toObject() Returns object representation of an instance

Methods borrowed from class fabric.Object:
  callSuper, clone, cloneAsImage, drawBorders, drawCorners, fxRemove, fxStraighten, get, getAngle, getCenter, getHeight, getWidth, hasStateChanged, intersectsWithObject, intersectsWithRect, isActive, isContainedWithinRect, isType, render, saveState, scale, scaleToHeight, scaleToWidth, set, setActive, setAngle, setCoords, setOpacity, setOptions, setSourcePath, straighten, toDatalessObject, toDataURL, toggle, toGrayscale, toJSON, toString, transform

Class Detail
fabric.Line()
Field Detail
{String} type
Method Detail
{Number} complexity()

Returns:
  {Number} complexity

<static> {fabric.Line} fabric.Line.fromElement(element, options)

Parameters:
{SVGElement} element
  Element to parse
{Object} options Optional
  Options object

Returns:
  {fabric.Line} instance of fabric.Line

<static> {fabric.Line} fabric.Line.fromObject(object)

Parameters:
{Object} object
  Object to create an instance from

Returns:
  {fabric.Line} instance of fabric.Line

{fabric.Line} initialize(points, options)
Constructor

Parameters:
{Array} points
  Array of points
{Object} options Optional
  Options object

Returns:
  {fabric.Line} thisArg

{Object} toObject()
Returns object representation of an instance

Returns:
  {Object}

Documentation generated by JsDoc Toolkit 2.4.0 on Thu Oct 14 2010 21:41:43 GMT-0400 (EDT)